Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlAttachmentPart

    java.lang.Object
      com.eviware.soapui.model.iface.MessagePart.AttachmentPart
          com.eviware.soapui.impl.wsdl.WsdlAttachmentPart

All Implemented Interfaces:
  MessagePart

    public final class WsdlAttachmentPart

extends MessagePart.AttachmentPart

Descriptor for attachments

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.MessagePart
`MessagePart.AttachmentPart, MessagePart.ContentPart, MessagePart.FaultPart, MessagePart.HeaderPart, MessagePart.PartType`

Field Summary
`static java.lang.String` | `ANONYMOUS_NAME`

Constructor Summary
`WsdlAttachmentPart()`
`WsdlAttachmentPart(java.lang.String name, java.util.List<java.lang.String> types)`
`WsdlAttachmentPart(java.lang.String name, java.lang.String type)`

Method Summary
`void` | `addContentType(java.lang.String contentType)`
`Attachment.AttachmentType` | `getAttachmentType()`
`java.lang.String[]` | `getContentTypes()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`boolean` | `isAnonymous()`
`void` | `setType(Attachment.AttachmentType type)`

Methods inherited from class com.eviware.soapui.model.iface.MessagePart.AttachmentPart
`getPartType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANONYMOUS_NAME

    public static final java.lang.String ANONYMOUS_NAME

See Also:
  Constant Field Values

Constructor Detail

### WsdlAttachmentPart

    public WsdlAttachmentPart()

### WsdlAttachmentPart

    public WsdlAttachmentPart(java.lang.String name,
                              java.util.List<java.lang.String> types)

### WsdlAttachmentPart

    public WsdlAttachmentPart(java.lang.String name,
                              java.lang.String type)

Method Detail

### getContentTypes

    public java.lang.String[] getContentTypes()

  Specified by:
    `getContentTypes` in class `MessagePart.AttachmentPart`

### getName

    public java.lang.String getName()

### addContentType

    public void addContentType(java.lang.String contentType)

### getAttachmentType

    public Attachment.AttachmentType getAttachmentType()

### setType

    public void setType(Attachment.AttachmentType type)

### getDescription

    public java.lang.String getDescription()

### isAnonymous

    public boolean isAnonymous()

  Specified by:
    `isAnonymous` in class `MessagePart.AttachmentPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.